Subject: [alpine-devel] [PATCH] testing/xcalib: new aport

From: Johannes Matheis <[email-masked]>
Date: Sat, 30 Aug 2014 17:07:44 +0000

http://xcalib.sourceforge.net/
A tiny monitor calibration loader for X.org
---
 testing/xcalib/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/xcalib/APKBUILD

diff --git a/testing/xcalib/APKBUILD b/testing/xcalib/APKBUILD
new file mode 100644
index 0000000..501ed64
--- /dev/null
+++ b/testing/xcalib/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Johannes Matheis <[email-masked]>
+# Maintainer: Johannes Matheis <[email-masked]>
+pkgname=xcalib
+pkgver=0.8
+pkgrel=0
+pkgdesc="A tiny monitor calibration loader for X.org"
+url="http://xcalib.sourceforge.net/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+source="http://downloads.sourceforge.net/${pkgname}/${pkgname}-source-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+   local i
+   cd "$_builddir"
+   for i in $source; do
+       case $i in
+       *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+       esac
+   done
+}
+
+build() {
+   cd "$_builddir"
+   make xcalib || return 1
+}
+
+package() {
+   cd "$_builddir"
+   install -Dm755 xcalib $pkgdir/usr/bin/xcalib
+
+   for i in README *.icc *.icm; do
+       install -Dm644 $i $pkgdir/usr/share/xcalib/$i
+   done
+
+}
+
+md5sums="1fbcae44ad8d754512fdd1e5f1b3a7e7  xcalib-source-0.8.tar.gz"
+sha256sums="8a112ee710e5446f6c36e62345b2066f10639d500259db8c48bf1716caea06e6  xcalib-source-0.8.tar.gz"
+sha512sums="08d4cf579e566543ef7e5d233a6a49dd34a791a6aac31510d459d2300ec81828cf77ba2c495ee0c5e72e910c1986fc53c9ccd8f8455f097747508dd6adae8216  xcalib-source-0.8.tar.gz"
-- 
2.0.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---